dnl AM_PATH_CDRTOOLS([MINIMUM-VERSION,
dnl               [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND ]]])
dnl
AC_DEFUN([AM_PATH_CDRTOOLS],
[ AC_ARG_WITH(cdrtools-prefix,
            AC_HELP_STRING([--with-cdrtools-prefix=PFX],
                           [set where the cdrtools are installed - default: PREFIX]),
     cdrtools_config_prefix="$withval", cdrtools_config_prefix="")

    if test "x$cdrtools_config_prefix" = "x"; then
	CDRTOOLS_PREFIX=$prefix
    else 	
    	CDRTOOLS_PREFIX=$cdrtools_config_prefix
    fi
    if test "X$CDRTOOLS_PREFIX" = "XNONE"; then
    	CDRTOOLS_PREFIX="$ac_default_prefix"
    fi 
    AC_SUBST(CDRTOOLS_PREFIX)
])

dnl AM_PATH_XCDRLIBDIR([MINIMUM-VERSION,
dnl               [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND ]]])
dnl
AC_DEFUN([AM_PATH_XCDRLIBDIR],
[ AC_ARG_WITH(xcdroast-libdir-prefix,
            AC_HELP_STRING([--with-xcdroast-libdir-prefix=PFX],
                           [set where the utils/images of xcdroast should be installed - default: PREFIX/lib/xcdroast]),
     xcdrlibdir_config_prefix="$withval", xcdrlibdir_config_prefix="")

    if test "x$xcdrlibdir_config_prefix" = "x"; then
	XCDRLIB_PREFIX="$prefix/lib/xcdroast"
    else 	
    	XCDRLIB_PREFIX=$xcdrlibdir_config_prefix
    fi
    if test "X$XCDRLIB_PREFIX" = "XNONE/lib/xcdroast"; then
    	XCDRLIB_PREFIX="$ac_default_prefix/lib/xcdroast"
    fi 
    AC_SUBST(XCDRLIB_PREFIX)
])

dnl AM_DEP_USER_HOST_MODE([MINIMUM-VERSION,
dnl               [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND ]]])
dnl
AC_DEFUN([AM_DEP_USER_HOST_MODE],
[AC_ARG_ENABLE(user_host_mode,
	[  --enable-user-host-mode enable the X-CD-Roast user-host mode],
	USE_USER_HOST_MODE=$enableval, USE_USER_HOST_MODE=no)

    if test "X$USE_USER_HOST_MODE" = "Xyes"; then
	USE_USER_HOST_MODE=1
    else
	USE_USER_HOST_MODE=0
    fi
    AC_SUBST(USE_USER_HOST_MODE)
])

